summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--composer.json1
-rwxr-xr-xmakesrc.sh27
-rw-r--r--php-phpunit-php-code-coverage12.spec17
3 files changed, 16 insertions, 29 deletions
diff --git a/composer.json b/composer.json
index 550171f..8a0d1dc 100644
--- a/composer.json
+++ b/composer.json
@@ -34,7 +34,6 @@
"ext-libxml": "*",
"ext-xmlwriter": "*",
"nikic/php-parser": "^5.7.0",
- "phpunit/php-file-iterator": "^6.0",
"phpunit/php-text-template": "^5.0",
"sebastian/complexity": "^5.0",
"sebastian/environment": "^8.0.3",
diff --git a/makesrc.sh b/makesrc.sh
index 294e892..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,36 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --branch ${VERSION:0:4} --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || \
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-phpunit-php-code-coverage12.spec b/php-phpunit-php-code-coverage12.spec
index 9897dda..c31729f 100644
--- a/php-phpunit-php-code-coverage12.spec
+++ b/php-phpunit-php-code-coverage12.spec
@@ -10,11 +10,8 @@
%bcond_without tests
# Github
-%global gh_commit b015312f28dd75b75d3422ca37dff2cd1a565e8d
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project php-code-coverage
-%global gh_date 2026-02-06
# Packagist
%global pk_vendor phpunit
%global pk_project php-code-coverage
@@ -25,7 +22,7 @@
%global ver_major 12
Name: php-%{pk_vendor}-%{pk_project}%{ver_major}
-Version: 12.5.3
+Version: 12.5.4
Release: 1%{?dist}
Summary: PHP code coverage information, version %{ver_major}
@@ -36,7 +33,7 @@ Summary: PHP code coverage information, version %{ver_major}
License: BSD-3-Clause AND MIT AND Apache-2.0
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
@@ -44,7 +41,6 @@ BuildRequires: php(language) >= 8.3
BuildRequires: php-fedora-autoloader-devel >= 1.0.0
%if %{with tests}
BuildRequires: (php-composer(nikic/php-parser) >= 5.7.0 with php-composer(nikic/php-parser) < 6)
-BuildRequires: (php-composer(phpunit/php-file-iterator) >= 6.0 with php-composer(phpunit/php-file-iterator) < 7)
BuildRequires: (php-composer(phpunit/php-text-template) >= 5.0 with php-composer(phpunit/php-text-template) < 6)
BuildRequires: (php-composer(sebastian/complexity) >= 5.0 with php-composer(sebastian/complexity) < 6)
BuildRequires: (php-composer(sebastian/environment) >= 8.0.3 with php-composer(sebastian/environment) < 9)
@@ -68,7 +64,6 @@ BuildRequires: php-xdebug
# "ext-libxml": "*",
# "ext-xmlwriter": "*",
# "nikic/php-parser": "^5.7.0",
-# "phpunit/php-file-iterator": "^6.0",
# "phpunit/php-text-template": "^5.0",
# "sebastian/complexity": "^5.0",
# "sebastian/environment": "^8.0.3",
@@ -80,7 +75,6 @@ Requires: php-dom
Requires: php-libxml
Requires: php-xmlwriter
Requires: (php-composer(nikic/php-parser) >= 5.7.0 with php-composer(nikic/php-parser) < 6)
-Requires: (php-composer(phpunit/php-file-iterator) >= 6.0 with php-composer(phpunit/php-file-iterator) < 7)
Requires: (php-composer(phpunit/php-text-template) >= 5.0 with php-composer(phpunit/php-text-template) < 6)
Requires: (php-composer(sebastian/complexity) >= 5.0 with php-composer(sebastian/complexity) < 6)
Requires: (php-composer(sebastian/environment) >= 8.0.3 with php-composer(sebastian/environment) < 9)
@@ -116,7 +110,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{ver_major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%build
@@ -128,7 +122,6 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{ver_major}/autoload.php
cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
'%{php_home}/PhpParser5/autoload.php',
- '%{php_home}/%{ns_vendor}/FileIterator6/autoload.php',
'%{php_home}/%{ns_vendor}/Template5/autoload.php',
'%{php_home}/%{ns_vendor}/Complexity5/autoload.php',
'%{php_home}/%{ns_vendor}/Environment8/autoload.php',
@@ -187,6 +180,10 @@ exit $ret
%changelog
+* Sun Apr 12 2026 Remi Collet <remi@remirepo.net> - 12.5.4-1
+- update to 12.5.4
+- drop dependency on phpunit/php-file-iterator
+
* Fri Feb 6 2026 Remi Collet <remi@remirepo.net> - 12.5.3-1
- update to 12.5.3